Source: mlucas
Section: math
Priority: optional
Maintainer: Alex Vong <alexvong1995@gmail.com>
Build-Depends: debhelper (>= 9), dh-autoreconf, autogen
Standards-Version: 3.9.6
Homepage: http://hogranch.com/mayer/README.html
Vcs-Git: https://gitlab.com/mlucas-ll/mlucas.git
Vcs-Browser: https://gitlab.com/mlucas-ll/mlucas

Package: mlucas
Architecture: amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: program to perform Lucas-Lehmer test on a Mersenne number
 mlucas is an open-source (and free/libre) program
 for performing Lucas-Lehmer test on prime-exponent Mersenne numbers,
 that is, integers of the form 2 ^ p - 1, with prime exponent p.
 In short, everything you need to search for world-record Mersenne primes!
 It has been used in the verification of various Mersenne primes,
 including the 45th, 46th and 48th found Mersenne prime.
 .
 You may use it to test any suitable number as you wish,
 but it is preferable that you do so in a coordinated fashion,
 as part of the Great Internet Mersenne Prime Search (GIMPS).
 For more information on GIMPS,
 see <http://www.mersenne.org/prime.html> for details.
